<?xml version="1.0" encoding="UTF-8"?>

<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:paddingLeft="@dimen/activity_horizontal_margin"
    android:paddingTop="@dimen/activity_vertical_margin"
    android:paddingRight="@dimen/activity_horizontal_margin"
    android:paddingBottom="@dimen/activity_vertical_margin"
    android:scrollbars="none"
    tools:context=".MainActivity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:orientation="vertical">

        <TextView
            style="@style/L1Text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:text="@string/msg_welcome_message" />

        <TextView
            android:id="@+id/tv_version"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="15dp" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="16dp"
            android:layout_marginTop="30dp"
            android:layout_marginEnd="16dp"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="5dp"
                android:text="ApiUrl:" />

            <EditText
                android:id="@+id/edit_apiUrl"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="start|center_vertical"
                android:hint="ApiUrl"
                android:inputType="text"
                android:textSize="16sp" />

            <TextView
                android:id="@+id/imgSelectHost"
                android:layout_width="30dp"
                android:layout_height="wrap_content"
                android:text="切换" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="16dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="16dp"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="5dp"
                android:text="AppId:" />

            <EditText
                android:id="@+id/edit_app_id"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="start|center_vertical"
                android:hint="@string/label_app_id_hint"
                android:inputType="text"
                android:textSize="16sp" />
        </LinearLayout>

        <RadioGroup
            android:id="@+id/rg_audio_code_type"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="15dp"
            android:orientation="horizontal">

            <RadioButton
                android:id="@+id/rg_audio_code_type_aac"
                android:layout_width="wrap_content"
                android:layout_height="40dp"
                android:checked="false"
                android:text="AAC" />

            <RadioButton
                android:id="@+id/rg_audio_code_type_opus"
                android:layout_width="wrap_content"
                android:layout_height="40dp"
                android:checked="true"
                android:text="OPUS" />

        </RadioGroup>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="16dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="16dp"
            android:orientation="vertical"
            android:visibility="visible">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="5dp"
                android:text="Token:" />

            <EditText
                android:id="@+id/edit_token"
                android:layout_width="match_parent"
                android:layout_height="220dp"
                android:gravity="start"
                android:hint="唯一Token"
                android:inputType="text|textMultiLine"
                android:textSize="16sp" />
        </LinearLayout>

        <!--        <LinearLayout-->
        <!--            android:visibility="visible"-->
        <!--            android:layout_width="match_parent"-->
        <!--            android:layout_height="wrap_content"-->
        <!--            android:layout_gravity="center_vertical"-->
        <!--            android:layout_marginStart="16dp"-->
        <!--            android:layout_marginTop="10dp"-->
        <!--            android:layout_marginEnd="16dp"-->
        <!--            android:orientation="horizontal">-->
        <!--            <TextView-->
        <!--                android:layout_width="wrap_content"-->
        <!--                android:layout_height="wrap_content"-->
        <!--                android:layout_marginRight="5dp"-->
        <!--                android:text="AppKey:"/>-->
        <!--            <EditText-->
        <!--                android:id="@+id/edit_appkey"-->
        <!--                android:layout_width="match_parent"-->
        <!--                android:layout_height="wrap_content"-->
        <!--                android:gravity="start|center_vertical"-->
        <!--                android:hint="@string/label_app_key_hint"-->
        <!--                android:inputType="text"-->
        <!--                android:textSize="16sp" />-->
        <!--        </LinearLayout>-->
        <View
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:layout_marginTop="15dp"
            android:layout_marginBottom="5dp"
            android:background="@color/darker_gray" />

        <Button
            android:id="@+id/btn_enter"
            style="@style/ezmButton"
            android:layout_width="match_parent"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="24dp"
            android:layout_marginRight="16dp"
            android:text="@string/ys_mt_title_join_meeting" />

        <Button
            android:id="@+id/btn_white_board"
            style="@style/ezmButton"
            android:layout_width="match_parent"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="24dp"
            android:layout_marginRight="16dp"
            android:text="白板"
            android:visibility="visible" />

        <!--        <View-->
        <!--            android:layout_width="match_parent"-->
        <!--            android:layout_height="0.5dp"-->
        <!--            android:layout_marginTop="15dp"-->
        <!--            android:layout_marginBottom="15dp"-->
        <!--            android:background="@color/darker_gray"/>-->
        <!--        <LinearLayout-->
        <!--            android:layout_width="match_parent"-->
        <!--            android:layout_height="wrap_content"-->
        <!--            android:layout_gravity="center_vertical"-->
        <!--            android:layout_marginStart="16dp"-->
        <!--            android:layout_marginEnd="16dp"-->
        <!--            android:orientation="horizontal">-->
        <!--            <TextView-->
        <!--                android:layout_width="wrap_content"-->
        <!--                android:layout_height="wrap_content"-->
        <!--                android:layout_marginRight="5dp"-->
        <!--                android:text="RoomNo:"/>-->
        <!--            <EditText-->
        <!--                android:id="@+id/edit_room"-->
        <!--                android:layout_width="match_parent"-->
        <!--                android:layout_height="wrap_content"-->
        <!--                android:gravity="start|center_vertical"-->
        <!--                android:hint="@string/label_channel_name_hint"-->
        <!--                android:inputType="number"-->
        <!--                android:maxLines="1"-->
        <!--                android:textSize="16sp" />-->
        <!--        </LinearLayout>-->

        <!--        <LinearLayout-->
        <!--            android:layout_width="match_parent"-->
        <!--            android:layout_height="wrap_content"-->
        <!--            android:layout_gravity="center_vertical"-->
        <!--            android:layout_marginStart="16dp"-->
        <!--            android:layout_marginEnd="16dp"-->
        <!--            android:orientation="horizontal">-->
        <!--            <TextView-->
        <!--                android:layout_width="wrap_content"-->
        <!--                android:layout_height="wrap_content"-->
        <!--                android:layout_marginRight="5dp"-->
        <!--                android:text="UserId："/>-->
        <!--            <EditText-->
        <!--                android:id="@+id/edit_userId"-->
        <!--                android:layout_width="match_parent"-->
        <!--                android:layout_height="wrap_content"-->
        <!--                android:digits="1234567890"-->
        <!--                android:gravity="start|center_vertical"-->
        <!--                android:hint="@string/label_user_id"-->
        <!--                android:inputType="number"-->
        <!--                android:maxLines="1"-->
        <!--                android:textSize="16sp" />-->
        <!--        </LinearLayout>-->

        <!--        <View-->
        <!--            android:layout_width="match_parent"-->
        <!--            android:layout_height="0.5dp"-->
        <!--            android:layout_marginTop="15dp"-->
        <!--            android:layout_marginBottom="15dp"-->
        <!--            android:background="@color/darker_gray"/>-->

        <!--        <Button-->
        <!--            android:id="@+id/btn_init"-->
        <!--            android:layout_width="match_parent"-->
        <!--            android:layout_height="38dp"-->
        <!--            android:layout_gravity="center_horizontal"-->
        <!--            android:layout_marginStart="16dp"-->
        <!--            android:layout_marginLeft="16dp"-->
        <!--            android:layout_marginTop="30dp"-->
        <!--            android:layout_marginEnd="16dp"-->
        <!--            android:layout_marginRight="16dp"-->
        <!--            android:background="@color/ertc_blue"-->
        <!--            android:text="@string/label_init"-->
        <!--            android:textColor="@android:color/white" />-->

        <!--        <Button-->
        <!--            android:id="@+id/btn_uninit"-->
        <!--            android:layout_width="match_parent"-->
        <!--            android:layout_height="38dp"-->
        <!--            android:layout_gravity="center_horizontal"-->
        <!--            android:layout_marginStart="16dp"-->
        <!--            android:layout_marginLeft="16dp"-->
        <!--            android:layout_marginTop="18dp"-->
        <!--            android:layout_marginEnd="16dp"-->
        <!--            android:layout_marginRight="16dp"-->
        <!--            android:background="@color/ertc_blue"-->
        <!--            android:text="@string/label_uninit"-->
        <!--            android:textColor="@android:color/white" />-->

        <!--        <Button-->
        <!--            android:id="@+id/btn_fetch_token"-->
        <!--            android:layout_width="match_parent"-->
        <!--            android:layout_height="38dp"-->
        <!--            android:layout_gravity="center_horizontal"-->
        <!--            android:layout_marginStart="16dp"-->
        <!--            android:layout_marginLeft="16dp"-->
        <!--            android:layout_marginTop="18dp"-->
        <!--            android:layout_marginEnd="16dp"-->
        <!--            android:layout_marginRight="16dp"-->
        <!--            android:background="@color/ertc_blue"-->
        <!--            android:text="@string/label_token"-->
        <!--            android:textColor="@android:color/white" />-->

        <!--        <LinearLayout-->
        <!--            android:layout_width="match_parent"-->
        <!--            android:layout_height="wrap_content"-->
        <!--            android:layout_marginTop="10dp"-->
        <!--            android:orientation="horizontal">-->
        <!--            <Button-->
        <!--                android:id="@+id/btn_join"-->
        <!--                android:layout_width="0dp"-->
        <!--                android:layout_height="38dp"-->
        <!--                android:layout_weight="1"-->
        <!--                android:layout_gravity="center_horizontal"-->
        <!--                android:layout_marginStart="16dp"-->
        <!--                android:layout_marginLeft="16dp"-->
        <!--                android:layout_marginTop="18dp"-->
        <!--                android:layout_marginEnd="16dp"-->
        <!--                android:layout_marginRight="16dp"-->
        <!--                android:background="@color/ertc_blue"-->
        <!--                android:text="@string/label_join"-->
        <!--                android:textColor="@android:color/white" />-->

        <!--            <Button-->
        <!--                android:id="@+id/btn_speed_test"-->
        <!--                android:layout_width="0dp"-->
        <!--                android:layout_height="38dp"-->
        <!--                android:layout_weight="1"-->
        <!--                android:layout_gravity="center_horizontal"-->
        <!--                android:layout_marginStart="16dp"-->
        <!--                android:layout_marginLeft="16dp"-->
        <!--                android:layout_marginTop="18dp"-->
        <!--                android:layout_marginEnd="16dp"-->
        <!--                android:layout_marginRight="16dp"-->
        <!--                android:background="@color/ertc_blue"-->
        <!--                android:text="@string/label_speed_test"-->
        <!--                android:textColor="@android:color/white" />-->
        <!--        </LinearLayout>-->


        <!--        <View-->
        <!--            android:layout_width="match_parent"-->
        <!--            android:layout_height="120dp" />-->
    </LinearLayout>

</ScrollView>
